package com.fjhx.victoriatourist.service.deliver;

import com.fjhx.purchase.entity.purchase.vo.PurchaseVo;
import com.fjhx.victoriatourist.entity.deliver.po.DeliverGoods;
import com.fjhx.victoriatourist.entity.deliver.vo.DeliverGoodsDetailsVo;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.deliver.vo.DeliverGoodsVo;
import com.fjhx.victoriatourist.entity.deliver.dto.DeliverGoodsSelectDto;
import com.fjhx.victoriatourist.entity.deliver.dto.DeliverGoodsDto;

import java.util.List;


/**
 * <p>
 * 发货 服务类
 * </p>
 *
 * @author
 * @since 2023-04-13
 */
public interface DeliverGoodsService extends BaseService<DeliverGoods> {

    /**
     * 发货分页
     */
    Page<DeliverGoodsVo> getPage(DeliverGoodsSelectDto dto);

    /**
     * 发货明细
     */
    List<DeliverGoodsDetailsVo> detail(Long id);

    /**
     * 发货新增
     */
    void add(DeliverGoodsDto deliverGoodsDto);

    /**
     * 发货编辑
     */
    void edit(DeliverGoodsDto deliverGoodsDto);

    /**
     * 发货删除
     */
    void delete(Long id);

    /**
     * 发货列表
     *
     * @return
     */
    List<DeliverGoods> list(Long id);

    /**
     * 维多利亚到货明细
     *
     * @return
     */
    PurchaseVo arrivalDetail(Long purchaseId);
}
